require("__tetris-armor__/tetrominoes");

local names = {"o", "i", "s", "z", "t", "j", "l"}
local categories =
{
    "active-defense-equipment",
    "battery-equipment",
    "belt-immunity-equipment",
    "energy-shield-equipment",
    "generator-equipment",
    "movement-bonus-equipment",
    "night-vision-equipment",
    "roboport-equipment",
    "solar-panel-equipment"
}

local equipment = {}
for _, category in pairs(categories) do
    for _, equip in pairs(data.raw[category]) do
        table.insert(equipment, equip)
    end
end

for _, equip in pairs(equipment) do
    for _, name in pairs(names) do
        for i = 1, 4 do
            local e = table.deepcopy(equip)
            e.name = e.name..name..i
            e.shape.type = "manual"
            e.shape.width = shapes[name][5][i][1]
            e.shape.height = shapes[name][5][i][2]
            e.shape.points = shapes[name][i]
            e.take_result = e.name

            local item = table.deepcopy(data.raw.item[equip.name])
            item.name = e.name
            item.placed_as_equipment_result = e.name

            data:extend({e, item})
        end
    end
end